IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'CalcAvgGrade' 
	   AND 	  type = 'TR')
	DROP TRIGGER CalgAvgGrade
GO

CREATE TRIGGER CalcAvgGrade ON GRADE
FOR UPDATE, INSERT, DELETE

AS
DECLARE
@StudentId int,
@AvgGrade float


select @StudentId = StudentId from INSERTED


select @AvgGrade = AVG(Grade) from GRADE where StudentId = @StudentId


update STUDENT set TotalGrade = @AvgGrade where StudentId = @StudentId

GO
